Bug 498908 - nanny does not default to webservice query string when no query/expect string specified.
nanny does not default to webservice query string when no query/expect strin...
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: piranha (Show other bugs)
4
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On: 495005
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 08:01 EDT by Marek Grac
Modified: 2016-04-26 14:31 EDT (History)
7 users (show)

See Also:
Fixed In Version: piranha-0.8.3.1-6
Doc Type: Bug Fix
Doc Text:
Previously, the nanny daemon had no default query string, when it should have defaulted to a basic web service query. This update adds this query string.
Story Points: ---
Clone Of: 495005
Environment:
Last Closed: 2011-02-16 11:21:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (1002 bytes, patch)
2009-05-04 08:07 EDT, Marek Grac
no flags Details | Diff

  None (edit)
Description Marek Grac 2009-05-04 08:01:31 EDT
+++ This bug was initially created as a clone of Bug #495005 +++

Description of problem:

The nanny man page specifies..

-x|--expect_str= ARG

             - snip -

             If  this  option is omitted then no attempt to receive data will
             occur EXCEPT if port = 80 and send_str is also omitted, in which
             case  a  web  service is assumed and an http test string will be
             sent and expected  (for  backwards  compatibility  with  earlier
             releases of piranha).

             - snip -

Although this doesn't seem to be the how the system behaves.  Instead the code returns and the error code is gobbled up by the forking program.

       if ((port == 80) && (send_str == NULL) && (expect_str == NULL)
           && (send_program == NULL)) {
               fprintf (stderr, _("nanny: no monitor configured\n"));

No Default web service is assumed and no http test string is sent.

Version-Release number of selected component (if applicable):

Piranah 0.8.4 11

How reproducible:

Every time

Steps to Reproduce:
1. Configure a service in piranah to monitor.
2. Do not configure a send and expect string
3. Start probe
  
Actual results:

lvs[25207]: nanny for child virtual-http/rs1 died! shutting down lvs
lvs[25207]: nanny for child virtual-http/rs2 died! shutting down lvs

Expected results:

Use a default webservice query: Server to seem to be up.

lvs[27043]: create_monitor for virtual-http/rs1 running as pid 27053
nanny[27054]: nanny: no monitor configured, assuming web service on port

Additional info:

Patch to make happen attached.  

Props to Ranjith Rajaram in helping out with the patch.

--- Additional comment from wmealing@redhat.com on 2009-04-08 23:12:25 EDT ---

Created an attachment (id=338838)
Enable default string.
Comment 1 Marek Grac 2009-05-04 08:07:17 EDT
Created attachment 342296 [details]
Patch
Comment 4 Florian Nadge 2011-01-03 09:27:26 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the nanny daemon had no default query string, when it should have defaulted to a basic web service query. This update adds this query string.
Comment 5 errata-xmlrpc 2011-02-16 11:21:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0272.html

Note You need to log in before you can comment on or make changes to this bug.